/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.apc.model.views;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author Oscar
 */
public class FaltanteInDates implements Serializable {
    
    private static final long serialVersionUID = 3731003393000465083L;
    
    private String id;
    private String idUser;
    private String userName;
    private String customerName;
    private String routeName;
    private BigDecimal amountPaid;
    private BigDecimal amountToPay;
    private BigDecimal amountToPayNoFee;
    private BigDecimal paymentDaily;
    private BigDecimal expectedPayment;
    private BigDecimal amountPaidDetails;
    private BigDecimal fee;
    private Long feeNumber;
    private Long numPagosAll;
    private Date lastDate;
    private Date createdOn;

    public FaltanteInDates() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdUser() {
        return idUser;
    }

    public void setIdUser(String idUser) {
        this.idUser = idUser;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public BigDecimal getAmountPaid() {
        return amountPaid;
    }

    public void setAmountPaid(BigDecimal amountPaid) {
        this.amountPaid = amountPaid;
    }

    public BigDecimal getAmountToPay() {
        return amountToPay;
    }

    public void setAmountToPay(BigDecimal amountToPay) {
        this.amountToPay = amountToPay;
    }

    public BigDecimal getAmountToPayNoFee() {
        return amountToPayNoFee;
    }

    public void setAmountToPayNoFee(BigDecimal amountToPayNoFee) {
        this.amountToPayNoFee = amountToPayNoFee;
    }

    public BigDecimal getPaymentDaily() {
        return paymentDaily;
    }

    public void setPaymentDaily(BigDecimal paymentDaily) {
        this.paymentDaily = paymentDaily;
    }

    public BigDecimal getExpectedPayment() {
        return expectedPayment;
    }

    public void setExpectedPayment(BigDecimal expectedPayment) {
        this.expectedPayment = expectedPayment;
    }

    public BigDecimal getAmountPaidDetails() {
        return amountPaidDetails;
    }

    public void setAmountPaidDetails(BigDecimal amountPaidDetails) {
        this.amountPaidDetails = amountPaidDetails;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    public Long getFeeNumber() {
        return feeNumber;
    }

    public void setFeeNumber(Long feeNumber) {
        this.feeNumber = feeNumber;
    }

    public Long getNumPagosAll() {
        return numPagosAll;
    }

    public void setNumPagosAll(Long numPagosAll) {
        this.numPagosAll = numPagosAll;
    }

    public Date getLastDate() {
        return lastDate;
    }

    public void setLastDate(Date lastDate) {
        this.lastDate = lastDate;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }
    
    
    
}
